Bug 443527 - X server crashed
X server crashed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 20:17 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (30.52 KB, text/plain)
2008-04-21 20:17 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-04-21 20:17:42 EDT
Description of problem:

Happened when attempting to play a flash video with totem.

Could not reproduce, which makes it somewhat frustrating.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x479f55]
1: /lib64/libc.so.6 [0x305fc322a0]
2: /lib64/libc.so.6(memcpy+0xe1) [0x305fc838b1]
3: /usr/lib64/xorg/modules/drivers//intel_master_drv.so [0x709484a]
4: /usr/bin/Xorg [0x48f736]
5: /usr/lib64/xorg/modules/extensions//libextmod.so [0x9dfb9b]
6: /usr/bin/Xorg(Dispatch+0x364) [0x446394]
7: /usr/bin/Xorg(main+0x45d) [0x42c87d]
8: /lib64/libc.so.6(__libc_start_main+0xfa) [0x305fc1e32a]
9: /usr/bin/Xorg(FontFileCompleteXLFD+0x279) [0x42bc59]

Fatal server error:
Caught signal 11.  Server aborting

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-22.20080415.fc9.x86_64
xorg-x11-drv-i810-2.2.1-20.fc9.x86_64
mesa-libGL-7.1-0.25.fc9.x86_64

How reproducible:

Couldn't reproduce it a second time with the same video.
Comment 1 Bill Nottingham 2008-04-21 20:17:42 EDT
Created attachment 303235 [details]
X log
Comment 2 Bug Zapper 2008-05-14 05:54:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:21:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bill Nottingham 2009-06-10 11:27:18 EDT
No longer crashes.

Note You need to log in before you can comment on or make changes to this bug.